| SOAP Methods | Rest Equivalent | Comments |
|---|---|---|
activate | POST /subscriptions/<subscription>/actions/activate | |
addCampaign | POST /subscriptions/<subscription>/actions/add_campaign_code | |
addCharge | POST /charges | For REST, charges will be applied to the next billing cycle. |
cancel | POST /subscriptions/<subscription>/actions/cancel | Query Parameters disentitle=force=settle=send_cancellation_notice= reason_code=2001 |
changeBillingDayOfMonth | POST subscriptions/<subscription>/billing_day_changes?to_day=<integer> | |
delayBillingByDays | POST subscriptions/<subscription>/billing_day_changes?by_days=<integer>perm=<boolean> | In REST, the Query Parameters to use are: |
delayBillingToDate | POST subscriptions/<subscription>/billing_day_changes?to_date=<datetime>perm=<boolean> | Query Parameter: |
fetchAllCancelReasons | GET /cancel_reasons | |
fetchAllCreditHistory | TBD | Roadmap |
fetchAllInSeason | TBD | Roadmap |
fetchAllOffSeason | TBD | Roadmap |
fetchBillingItemHistory | GET /subscriptions/<subscription>/subscription_item_history | |
fetchByAccount | GET/subscriptions?account=<accountid> | |
fetchByAccountAndProduct | GET /subscriptions?account=<accountid>product=<productid> | |
fetchByEmail | GET /subscriptions?email | |
fetchByMerchantAutoBillId | GET /subscription/<subscription> | |
fetchByVid | GET /subscription/<subscription> | |
fetchByWebSessionVid | N/A | Will not be implemented. See the SOAP Operations not Implemented in REST topic. |
fetchCreditHistory | TBD | Roadmap |
fetchDailyInvoiceBillings | GET /invoices | |
fetchDeltaSince | N/A | Will not be implemented. See the SOAP Operations not Implemented in REST topic. |
fetchFutureRebills | Get /subscriptions/<subscription>/future_transactions | REST API will only return the next 5 transactions |
fetchInvoice | GET /invoices/<invoice> | For REST, the invoice header: Content-Type application/pdf’ |
fetchInvoiceNumbers | GET /invoices | |
fetchRemainingPaymentDetails | N/A | Will not be implemented. See the SOAP Operations not Implemented in REST topic. |
fetchUpdateHistoryBy MerchantAutoBillId | N/A | Will not be implemented. See the SOAP Operations not Implemented in REST topic. |
fetchUpgradeHistoryByVid | N/A | Will not be implemented. See the SOAP Operations not Implemented in REST topic. |
finalizeCarrierBilling | POST /transactions/<transaction>/actions/finish | |
finalizeCustomerAction | POST /transactions/<transaction>/actions/finish | REST API returns Subscription with most_recent_billing that contains the auth_status. |
finalizePayPalAuth | POST /transactions/<transaction>/actions/finish | |
grantCredit | POST /subscriptions/<subscription>/currency_amount_changes | Time Grant is currently not supported. |
makePayment | POST /payments | |
migrate | Currently not on the roadmap | |
modify | POST /subscription/<subscription> | |
redeemGiftCard | POST /gift_card_redemptions | |
reversePayment | POST /payments/<payment>/actions/reverse | |
revokeCredit | POST /subscriptions/<subscription>/currency_amount_changes | Time Grant is currently not supported in Rest. |
settlementQuote | POST /subscriptions/<subscription>/actions?settle=true&dryrun=true | |
update | POST /subscriptions/<subscription> | |
updateCancelReason | POST /cancel_reason/<cancel_reason> | |
writeOffInvoice | POST /invoices/<invoice>/actions/write_off |
Auto Bill Methods Mapping
The following table contains AutoBill SOAP methods and the equivalent REST operations:
Parent topic:Operations Mapping

